#ifndef _INVENTORYEQUIPS_H
#define _INVENTORYEQUIPS_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableWidget>

namespace Ui {
class InventoryEquipments;
}

class InventoryEquipments : public QDialog
{
    Q_OBJECT

public:
    explicit InventoryEquipments(QWidget *parent = nullptr);
    ~InventoryEquipments();

signals:
    void setStatus(QString);

private slots:
    void on_insertButton_clicked();
    void on_editButton_clicked();
    void on_exportButton_clicked();
    void refreshTable(void);

private:
    QGridLayout *gridLayout;
    QTableWidget *tableEquipments;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;
    QPushButton *exportButton;
    QPushButton *insertButton;

    void edit(int recno);
};

#endif
